Subject: Re: [vnrg] I-D Action:draft-jeong-vnrg-virtual-networks-ps-00.txt

From: Adrian Farrel <[email-masked]>
Date: Sat, 01 Jan 2011 15:39:29 +0000

Hi vnrg,

Please excuse me for not having been following your work - I plead insufficient
hours in the day (perhaps an opportunity for virtualization?).

I wanted to do two things briefly:
1. Check that you were aware of some IETF work on virtualization
2. Pick at Sangjin Jeong's draft

First, just to draw your attention to RFC 5623 . Although this work is limited
to the virtualization of network resources for the use in a "layered" network
model, and although it is targeted very much at a specific level within the
network, you may find it interesting because it separates the operation and
management of resources and the virtual resources through the use of "abstract"
functional components.

Second, I think that the first paragraph of the Introduction to
draft-jeong-vnrg-virtual-networks-ps is key and could stand being polished...

   The main objectives of virtualization are to create multiple logical
   instances of the resources that can coexist, to separate the uses of
   the logical instances, and to simplify the use of the underlying
   resources by abstracting the characteristics and interacting with the
   resources with limited abstracted knowledge.

These are definitely objectives. But is this a complete set, and are there more
significant objectives?

I think something that is missing is the sharing of the underlying resources.
Perhaps this is implicit in "simplify the use of", but for me an important part
of virtualization is the management (i.e., implementation of policy) of the way
the underlying resources are shared by the logical resources.

Cheers,
Adrian

> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 	Title           : Virtual Networks Problem Statement
> 	Author(s)       : S. Jeong, D. Colle
> 	Filename        : draft-jeong-vnrg-virtual-networks-ps-00.txt

---

From: Vishwas Manral <[email-masked]>
Date: Wed, 5 Jan 2011 11:59:28 -0800

Hi,

I had a brief look at the document. I had a few comments on the same:

1. Introduction - We have talked about advantages of virtualization.
One of the big benefits of virtualization are the economy of scale. As
the CPU/ Memory is costs are decreasing, so using a system with higher
CPU and Memory is better then using 10 systems with 1/10 the memory.

1.1 Another advantage WRT physical infrastructure, I can see is that
we can partition resources into chunks that was not possible earlier.
So we can have links which are like 1.7 Mbps, which allows a higher
level of compartmentalization.

2. Introduction - From the way you are talking about network
virtualization, there is an overhead of resources required for the
physical topology connectivity, over which the virtual topology
resides.

2.2 A disadvantage I can see is that physical topology change will
cause effect to the virtual links, though the effects may not be
visible to the virtual topology itself.

3. A lot of routers have virtual router functionality, which allows
for sharing of resources, between various different instances, in a
non-interfering fashion, over the same OS instance though. We cannot
impose any virtual topology on the physical topology, but can be a
subset of the same. Another example of the same is Multitopology
extensions. You can talk about these things in the Motivation section
you mention.

4. I think one important aspect of isolation is to allow for
paritioning of resources so that one misbehaving resource does not
affect the other.

5. From the management perspective, we need different layers of
management. One which partitions the physical resource to a virtual
resource, then each virtual resource needs an isolated manager.

6. I think one of the important security issue is physical security
will no longer work. By adding a new layer virtualization increases
overload, as well as a new vector for security.

Typo:

1. Abstract -  This document presents the definition and effectiveness
of virtual networks and discusses the key components and challenges of
supporting virtual networks on "physical network infrastructure".

Added the words in "...".

2.
   s/ The virtual networks over physical infrastructure are completely
isolated each other, /  The virtual networks over physical
infrastructure are completely isolated from each other, /

3. s/ Virtualization resource is typically realized by adopting
virtualization layer in the physical resources,/ Virtualization of a
resource is typically realized by adopting virtualization layer in the
physical resources,/

4. s/efficient control of the virtual resources../ efficient control
of the virtual resources./

Thanks,
Vishwas

=============================================
Dear VNRG folks,

As a follow-up of last Beijing meeting, we have developed a document that
investigates the definition, key components and challenges, and acid tests for
virtual networks.

Please find the document from link below.
Any comments are appreciated.

Regards,
Sangjin

---------- Forwarded message ----------
From: <Internet-Drafts at ietf.org>
Date: Fri, Dec 24, 2010 at 5:00 PM
Subject: I-D Action:draft-jeong-vnrg-virtual-networks-ps-00.txt
To: i-d-announce at ietf.org

A New Internet-Draft is available from the on-line Internet-Drafts directories.

Pages : 9
Date : 2010-12-23

This document presents the definition and effectiveness of virtual
networks and discusses the key components and challenges of
supporting virtual networks in the networks. ?It also describes acid
tests for virtual networks.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-jeong-vnrg-virtual-networks-ps-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
I-D-Announce mailing list
I-D-Announce at ietf.org
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Sangjin Jeong" <[email-masked]>
Date: Thu, 6 Jan 2011 15:20:38 +0900

Hello Adrian,
 
Thanks for your comments. 
See inline, please.
 
> management of resources and the virtual resources through the use of "abstract" 
 
I briefly took a look at the RFC5623. IMHO, the document describes how to 
optimize utilization of network resources by taking into account all layers. 
In order to achieve the objectives, several path computation/control models are 
presented. I think that the inter-layer path control models proposed in the 
document may be utilized for achieving isolation and partitioning properties of 
virtual networks.
 
> the underlying resources are shared by the logical resources.
 
The first paragraph describes general key properties of virtualization, i.e., 
partitioning, isolation, and abstraction. The partitioning property may include 
the concept of sharing of the underlying resources. Also, as you mentioned, 
management of underlying resources is an important part of virtualization, but 
management may be regarded as how to realize the properties of virtualization 
rather than independent property of virtualization, IMHO.  
 
Regards, 
Sangjin